# Get Instance - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-get-instance

# Get Instance

GET

/

gpus

/

v2

/

instances

/

{instance_id}

Try it

Get Instance

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/instances/{instance_id} \
--header 'Authorization: '
```

```
import requests

url = "https://api.novita.ai/gpus/v2/instances/{instance_id}"

headers = {"Authorization": ""}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: ''}};

fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.novita.ai/gpus/v2/instances/{instance_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.novita.ai/gpus/v2/instances/{instance_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.novita.ai/gpus/v2/instances/{instance_id}")
.header("Authorization", "")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.novita.ai/gpus/v2/instances/{instance_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = ''

response = http.request(request)
puts response.read_body
```

200

```
{
"id": "ca338f12f3",
"name": "example-instance",
"type": "gpu",
"product_id": "product-id",
"image": "registry.example.com/namespace/image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "",
"billing": {
"mode": "prepaid",
"prepaid": {
"months": 1,
"end_time": 1714464000,
"auto_renew": {
"enabled": true,
"months": 1,
"status": "active"
}
}
},
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"ports": [
{
"port": 8080,
"protocol": "tcp",
"endpoint": "http://1.2.3.4:8080"
}
],
"resource_specs": {
"rootfs_size_gb": 20,
"gpu_num": 1,
"cpu_num": 8,
"memory_gb": 32,
"gpu_ids": [
0
]
},
"network": {
"id": "vpc-550e8400-e29b-41d4-a716-446655440000",
"ip": "10.2.1.1"
},
"volumes": [
{
"type": "network",
"id": "network-storage-id",
"mount_point": "/data"
}
],
"region": "region-id",
"tools": {
"jupyter": {
"endpoint": "https://jupyter.example.com/instance/ca338f12f3",
"enabled": true,
"port": 8888
},
"ssh": {
"command": "ssh -p 51039 root@proxy.cn-south-nas-1.gpu-instance.novita.ai",
"password": "xxx",
"username": "xxx"
},
"web_terminal": {
"endpoint": "wss://terminal.example.com/instance/ca338f12f3",
"enabled": true,
"username": "root",
"password": "xxx"
},
"log": {
"instance_endpoint": "https://log.example.com/system/ca338f12f3",
"system_endpoint": "https://log.example.com/instance/ca338f12f3"
}
},
"auto_migrate": {
"enabled": false,
"include_system_disk": false
},
"status": {
"status": "running",
"error": "",
"message": ""
},
"pricing": {
"instance_price": 100,
"instance_base_price": 120,
"rootfs_storage_price": 10,
"prepaid": {
"monthly_price": [
{
"price": 1000,
"base_price": 1200,
"month": 1,
"price_precision": 2,
"month_spec_id": "spec-1m"
}
]
},
"spot": {
"spot_status": "",
"spot_reclaim_time": 123
}
},
"created_at": 1714464000,
"last_started_at": 1714467600,
"last_stopped_at": 0,
"member_id": "member-id",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"region_version": "v1.0"
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-instance-id)

instance_id

string

required

Instance ID. String, length: 1-255 characters.

#### Response

200 - application/json

OK

[​](#response-id)

id

string

Instance ID

Example:

`"ca338f12f3"`

[​](#response-name)

name

string

Instance name

Example:

`"example-instance"`

[​](#response-type)

type

enum<string>

Instance type. Allowed values: `gpu`, `cpu`

Available options:

`gpu`,

`cpu`

Example:

`"gpu"`

[​](#response-product-id)

product_id

string

Product ID

Example:

`"product-id"`

[​](#response-image)

image

string

Image address

Example:

`"registry.example.com/namespace/image:tag"`

[​](#response-registry-auth-id)

registry_auth_id

string

Registry authentication ID

Example:

`"registry-auth-id"`

[​](#response-entrypoint)

entrypoint

string

Container entrypoint

Example:

`""`

[​](#response-command)

command

string

Container startup command

Example:

`""`

[​](#response-billing)

billing

object

Billing configuration

Show child attributes

[​](#response-envs)

envs

object[]

Environment variable list

Show child attributes

[​](#response-ports)

ports

object[]

Exposed port list

Show child attributes

[​](#response-resource-specs)

resource_specs

object

Resource specification (with system-allocated info)

Show child attributes

[​](#response-network)

network

object

VPC network configuration

Show child attributes

[​](#response-volumes)

volumes

object[]

Data disk / network storage mounts

Show child attributes

[​](#response-region)

region

string

Region of the instance

Example:

`"region-id"`

[​](#response-tools)

tools

object

Instance tool information

Show child attributes

[​](#response-auto-migrate)

auto_migrate

object

Auto-migrate configuration

Show child attributes

[​](#response-status)

status

object

Instance status information

Show child attributes

[​](#response-pricing)

pricing

object

Pricing information

Show child attributes

[​](#response-created-at)

created_at

integer

Creation time. Unix timestamp

Example:

`1714464000`

[​](#response-last-started-at)

last_started_at

integer

Last start time. Unix timestamp

Example:

`1714467600`

[​](#response-last-stopped-at)

last_stopped_at

integer

Last stop time. Unix timestamp

Example:

`0`

[​](#response-member-id)

member_id

string

Creator member ID

Example:

`"member-id"`

[​](#response-owner-id)

owner_id

string

Owner user ID (team owner UUID)

Example:

`"550e8400-e29b-41d4-a716-446655440000"`

[​](#response-region-version)

region_version

string

Instance version

Example:

`"v1.0"`

Last modified on June 26, 2026
